View Issue Details

IDProjectCategoryView StatusLast Update
0006967Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006967: bad error reporting in taler-exchange-offline
Descriptiontaler-exchange-offline@buster:/home/vagrant/repos$ taler-exchange-offline download
Jul 29 03:51:50-834402 taler-exchange-offline-15436 WARNING External protocol violation detected at json.c:781.
Jul 29 03:51:50-834522 taler-exchange-offline-15436 WARNING External protocol violation detected at json.c:807.
Jul 29 03:51:50-834552 taler-exchange-offline-15436 ERROR Unexpected response code 0/10 for exchange management get keys
Jul 29 03:51:50-834574 taler-exchange-offline-15436 ERROR Failed to download keys: (null) (HTTP status: 0/10)
TagsNo tags attached.

Activities

Florian Dold

2021-07-29 19:28

manager   ~0018025

Actually, the taler-exchange-offline tool tries to connect to [exchange]/base_url.

The default for this is a port on localhost that is unbound in my environment, but the error message doesn't make *anything* clear.

taler-exchange-offline@buster:/home/vagrant/repos$ taler-config -s exchange -o base_url
http://localhost:8081/

Christian Grothoff

2021-07-29 23:04

manager   ~0018026

Well, technically an HTTP status of '0' always means that we could not talk to the HTTP server.

Florian Dold

2021-07-30 11:37

manager   ~0018030

Sure, but how is a sysadmin supposed to find out easily which server the program is trying to talk to, if we don't print any of this information?

Also, I'm not sure why we're doing JSON parsing here.

Christian Grothoff

2021-07-30 14:24

manager   ~0018031

d821db36..c0d4a35a fixes this, avoiding both the JSON parse logging and also now reporting the bogus URL in the log.

Christian Grothoff

2021-09-02 18:14

manager   ~0018223

Fix committed to master branch.

Related Changesets

exchange: master c0d4a35a

2021-07-30 14:20:39

Christian Grothoff

Details Diff
fix 0006967 Affected Issues
0006967
mod - src/exchange-tools/taler-exchange-offline.c Diff File
mod - src/lib/exchange_api_management_get_keys.c Diff File

Issue History

Date Modified Username Field Change
2021-07-29 19:24 Florian Dold New Issue
2021-07-29 19:24 Florian Dold Status new => assigned
2021-07-29 19:24 Florian Dold Assigned To => Christian Grothoff
2021-07-29 19:28 Florian Dold Note Added: 0018025
2021-07-29 23:04 Christian Grothoff Note Added: 0018026
2021-07-30 11:37 Florian Dold Note Added: 0018030
2021-07-30 14:24 Christian Grothoff Status assigned => resolved
2021-07-30 14:24 Christian Grothoff Resolution open => fixed
2021-07-30 14:24 Christian Grothoff Fixed in Version => 0.8
2021-07-30 14:24 Christian Grothoff Note Added: 0018031
2021-07-30 14:24 Christian Grothoff Product Version => git (master)
2021-07-30 14:24 Christian Grothoff Target Version => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master c0d4a35a
2021-09-02 18:14 Christian Grothoff Note Added: 0018223